> ## Documentation Index
> Fetch the complete documentation index at: https://viewerdocs.planpoint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Unit

> Fetch a unit



## OpenAPI

````yaml GET /units/{id}
openapi: 3.0.3
info:
  title: Planpoint
  description: ''
  version: 1.0.0
servers:
  - url: https://app.planpoint.io/api
security:
  - AccessTokenAuth: []
tags:
  - name: user
    description: Everything about user
  - name: groups
    description: Everything about groups
  - name: projects
    description: Everything about projects
  - name: floors
    description: Everything about floors
  - name: units
    description: Everything about units
  - name: leads
    description: Everything about leads
externalDocs:
  description: Find out more about Planpoint
  url: http://planpoint.io
paths:
  /units/{id}:
    get:
      tags:
        - units
      summary: Search for a unit
      description: Fetch a unit
      operationId: fetchUnit
      parameters:
        - name: id
          in: path
          description: Unit ID
          required: true
          schema:
            type: string
            example: objectId
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  _id:
                    type: string
                    format: objectId
                    description: Unique identifier for the unit
                  floor:
                    type: string
                    format: objectId
                    description: Reference to the associated floor
                  name:
                    type: string
                    description: Name of the unit
                  bedrooms:
                    type: string
                    description: Number of bedrooms in the unit
                  squareFeet:
                    type: number
                    description: Square footage of the unit
                  isFeatured:
                    type: boolean
                    default: false
                    description: Indicates if the unit is featured
                  price:
                    type: number
                    description: Price of the unit
                  unitPriceTBD:
                    type: boolean
                    default: false
                    description: Indicates if the unit price is to be determined
                  type:
                    type: string
                    description: Type of the unit
                  specificType:
                    type: string
                    description: >-
                      Specific type, e.g., 'Amenities', 'Parkings'. Defaults to
                      'unit' if not specified
                  availability:
                    type: string
                    description: Availability status of the unit
                  path:
                    type: string
                    description: Path for unit details
                  lotPath:
                    type: string
                    description: Path for the lot associated with the unit
                  unitImageUrl:
                    type: string
                    format: uri
                    description: URL of the unit's image
                  onHoldExpiresAt:
                    type: string
                    format: date-time
                    description: Expiration date for the unit's hold status
                  layoutUrl:
                    type: string
                    format: uri
                    description: URL of the unit layout
                  layoutGallery:
                    type: array
                    items:
                      type: string
                      format: uri
                    description: Gallery of layout images
                  downloadableAsset:
                    type: string
                    format: uri
                    description: URL of a downloadable asset
                  brochurePDF:
                    type: string
                    format: uri
                    description: URL of the brochure in PDF format
                  additionalInfo:
                    type: array
                    items:
                      type: object
                      properties:
                        label:
                          type: string
                          description: Label for additional information
                        value:
                          type: string
                          description: Value for additional information
                    description: List of additional information
                  embedCode:
                    type: string
                    description: Embed code for the unit
                  customButtonUrl:
                    type: string
                    default: ''
                    description: Custom URL for the unit's button
                  payableAmount:
                    type: number
                    description: Payable amount for the unit
                  customButtonSnippet:
                    type: string
                    default: ''
                    description: Custom snippet for the unit's button
                  images:
                    type: array
                    items:
                      type: string
                      format: uri
                    description: List of image URLs
                  clonedImages:
                    type: array
                    items:
                      type: string
                      format: uri
                    description: List of cloned image URLs
                  customFinishes:
                    type: object
                    properties:
                      type:
                        type: object
                        properties:
                          name:
                            type: string
                            description: Name of the custom finish
                          options:
                            type: object
                            properties:
                              kitchen:
                                type: object
                                properties:
                                  tabs:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        label:
                                          type: string
                                        cover:
                                          type: string
                                        thumbnail:
                                          type: string
                              bathroom:
                                type: object
                                properties:
                                  tabs:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        label:
                                          type: string
                                        cover:
                                          type: string
                                        thumbnail:
                                          type: string
                              general:
                                type: object
                                properties:
                                  tabs:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        label:
                                          type: string
                                        cover:
                                          type: string
                                        thumbnail:
                                          type: string
                      default:
                        type: object
                        description: Default custom finishes
                  finishes:
                    type: array
                    items:
                      type: string
                    description: List of finishes
                  clonedFinishes:
                    type: array
                    items:
                      type: string
                    description: List of cloned finishes
                  parking:
                    type: number
                    description: Number of parking spaces
                  bathrooms:
                    type: number
                    description: Number of bathrooms
                  orientation:
                    type: string
                    description: Orientation of the unit
                  inclusions:
                    type: string
                    description: Inclusions for the unit
                  deliveryDate:
                    type: string
                    description: Expected delivery date
                  description:
                    type: string
                    description: Description of the unit
                  unitmodels:
                    type: array
                    items:
                      type: string
                      format: objectId
                    description: References to associated unit models
                  lon:
                    type: number
                    format: double
                    description: Longitude of the unit location.
                    example: -93.75940812944683
                  lat:
                    type: number
                    format: double
                    description: Latitude of the unit location.
                    example: 43.75940812944682
                  perimeter:
                    type: string
                    description: Perimeter of the unit
                  svgLotId:
                    type: string
                    description: SVG ID for the lot
            application/xml:
              schema:
                type: object
                properties:
                  _id:
                    type: string
                    format: objectId
                    description: Unique identifier for the unit
                  floor:
                    type: string
                    format: objectId
                    description: Reference to the associated floor
                  name:
                    type: string
                    description: Name of the unit
                  bedrooms:
                    type: string
                    description: Number of bedrooms in the unit
                  squareFeet:
                    type: number
                    description: Square footage of the unit
                  isFeatured:
                    type: boolean
                    default: false
                    description: Indicates if the unit is featured
                  price:
                    type: number
                    description: Price of the unit
                  unitPriceTBD:
                    type: boolean
                    default: false
                    description: Indicates if the unit price is to be determined
                  type:
                    type: string
                    description: Type of the unit
                  specificType:
                    type: string
                    description: >-
                      Specific type, e.g., 'Amenities', 'Parkings'. Defaults to
                      'unit' if not specified
                  availability:
                    type: string
                    description: Availability status of the unit
                  path:
                    type: string
                    description: Path for unit details
                  lotPath:
                    type: string
                    description: Path for the lot associated with the unit
                  unitImageUrl:
                    type: string
                    format: uri
                    description: URL of the unit's image
                  onHoldExpiresAt:
                    type: string
                    format: date-time
                    description: Expiration date for the unit's hold status
                  layoutUrl:
                    type: string
                    format: uri
                    description: URL of the unit layout
                  layoutGallery:
                    type: array
                    items:
                      type: string
                      format: uri
                    description: Gallery of layout images
                  downloadableAsset:
                    type: string
                    format: uri
                    description: URL of a downloadable asset
                  brochurePDF:
                    type: string
                    format: uri
                    description: URL of the brochure in PDF format
                  additionalInfo:
                    type: array
                    items:
                      type: object
                      properties:
                        label:
                          type: string
                          description: Label for additional information
                        value:
                          type: string
                          description: Value for additional information
                    description: List of additional information
                  embedCode:
                    type: string
                    description: Embed code for the unit
                  customButtonUrl:
                    type: string
                    default: ''
                    description: Custom URL for the unit's button
                  payableAmount:
                    type: number
                    description: Payable amount for the unit
                  customButtonSnippet:
                    type: string
                    default: ''
                    description: Custom snippet for the unit's button
                  images:
                    type: array
                    items:
                      type: string
                      format: uri
                    description: List of image URLs
                  clonedImages:
                    type: array
                    items:
                      type: string
                      format: uri
                    description: List of cloned image URLs
                  customFinishes:
                    type: object
                    properties:
                      type:
                        type: object
                        properties:
                          name:
                            type: string
                            description: Name of the custom finish
                          options:
                            type: object
                            properties:
                              kitchen:
                                type: object
                                properties:
                                  tabs:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        label:
                                          type: string
                                        cover:
                                          type: string
                                        thumbnail:
                                          type: string
                              bathroom:
                                type: object
                                properties:
                                  tabs:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        label:
                                          type: string
                                        cover:
                                          type: string
                                        thumbnail:
                                          type: string
                              general:
                                type: object
                                properties:
                                  tabs:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        label:
                                          type: string
                                        cover:
                                          type: string
                                        thumbnail:
                                          type: string
                      default:
                        type: object
                        description: Default custom finishes
                  finishes:
                    type: array
                    items:
                      type: string
                    description: List of finishes
                  clonedFinishes:
                    type: array
                    items:
                      type: string
                    description: List of cloned finishes
                  parking:
                    type: number
                    description: Number of parking spaces
                  bathrooms:
                    type: number
                    description: Number of bathrooms
                  orientation:
                    type: string
                    description: Orientation of the unit
                  inclusions:
                    type: string
                    description: Inclusions for the unit
                  deliveryDate:
                    type: string
                    description: Expected delivery date
                  description:
                    type: string
                    description: Description of the unit
                  unitmodels:
                    type: array
                    items:
                      type: string
                      format: objectId
                    description: References to associated unit models
                  lon:
                    type: number
                    format: double
                    description: Longitude of the unit location.
                    example: -93.75940812944683
                  lat:
                    type: number
                    format: double
                    description: Latitude of the unit location.
                    example: 43.75940812944682
                  perimeter:
                    type: string
                    description: Perimeter of the unit
                  svgLotId:
                    type: string
                    description: SVG ID for the lot
        '400':
          description: Invalid input
components:
  securitySchemes:
    AccessTokenAuth:
      type: apiKey
      in: header
      name: Authorization

````